<?php
/**
 * @package	SwipeHQ Checkout payment plugin for HikaShop
 * @version	1.5.1
 * @author	OptimizerHQ Ltd.
 */
defined('_JEXEC') or die('Restricted access');
?><?php
if(!function_exists('curl_init')) {
	echo '<tr><td colspan="2"><strong>The SwipeHQ Checkout payment plugin needs the CURL library installed but it seems that it is not available on your server. Please contact your web hosting to set it up.</strong></td></tr>';
}
?>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][merchant_id]">
			Merchant ID
		</label>
	</td>
	<td>
<input type="text" name="data[payment][payment_params][merchant_id]" value="<?php if(isset($this->element->payment_params->merchant_id) && $this->element->payment_params->merchant_id != '') echo @$this->element->payment_params->merchant_id; else echo ''; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][api_key]">
			API Key
		</label>
	</td>
	<td>
        <input type="text" name="data[payment][payment_params][api_key]" value="<?php if(isset($this->element->payment_params->api_key) && $this->element->payment_params->api_key != '') echo @$this->element->payment_params->api_key; else echo ''; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][payment_page_url]">
			Payment Page Url
		</label>
	</td>
	<td>
        <input type="text" name="data[payment][payment_params][payment_page_url]" value="<?php if(isset($this->element->payment_params->payment_page_url) && $this->element->payment_params->payment_page_url != '') echo @$this->element->payment_params->payment_page_url; else echo ''; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][api_url]">
			API Url
		</label>
	</td>
	<td>
        <input type="text" name="data[payment][payment_params][api_url]" value="<?php if(isset($this->element->payment_params->api_url) && $this->element->payment_params->api_url != '') echo @$this->element->payment_params->api_url; else echo ''; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][debug]">
			<?php echo JText::_( 'DEBUG' ); ?>
		</label>
	</td>
	<td>
		<?php echo JHTML::_('hikaselect.booleanlist', "data[payment][payment_params][debug]" , '',@$this->element->payment_params->debug	); ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][verified_status]">
			<?php echo JText::_( 'VERIFIED_STATUS' ); ?>
		</label>
	</td>
	<td>
		<?php echo $this->data['category']->display("data[payment][payment_params][verified_status]",@$this->element->payment_params->verified_status); ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][invalid_status]">
			<?php echo JText::_( 'INVALID_STATUS' ); ?>
		</label>
	</td>
	<td>
		<?php echo $this->data['category']->display("data[payment][payment_params][invalid_status]",@$this->element->payment_params->invalid_status); ?>
	</td>
</tr>


<tr></tr>

<tr>
    <td></td>
    <td>
        <input type="button" id="check_config" name="check_config_results" value="Check Config" onclick="checkconfig()"></input>
    </td>
</tr>

<table width="100%">
    <tr>
        <td width="100%"><div id="check_config_results" style="width:100%; height:100%"></div></td>
    </tr>
</table>


<script>
        function checkconfig(){
            jQuery("#check_config_results").html("<p style=\"font-size:50px\">Checking config, please wait...</p>");


            var merchantId = jQuery("input[name='data[payment][payment_params][merchant_id]']").val();
            var apiKey = jQuery("input[name='data[payment][payment_params][api_key]']").val();
            var apiURL = jQuery("input[name='data[payment][payment_params][api_url]']").val();
            var paymentURL = jQuery("input[name='data[payment][payment_params][payment_page_url]']").val();
            
            var currencySelected;
            
            try{
                currencySelected = jQuery("select[name='data[payment][payment_params][payment_currency]'] option:selected").text();
            
                if(currencySelected!=null && typeof(currencySelected)!="undefined"){
                    if(currencySelected.length>=3){
                        currencySelected = currencySelected.substring(currencySelected.length-3, currencySelected.length);
                    }
                    else{
                        currencySelected = null;
                    }
                }
            }
            catch(err){
                
            }
            
            var urlToLoad = "../plugins/hikashoppayment/swipehq/test-plugin.php?merchant_id="+merchantId+"&api_key="+apiKey+"&api_url="+apiURL+"&payment_page_url="+paymentURL+((currencySelected!=null && typeof(currencySelected!="undefined"))?("&currency="+currencySelected):"");

            jQuery("#check_config_results").load(urlToLoad);
        }
</script>